// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Very liberal edit of skybox by KittyWumpus* for this map.

textures/ut4_abridged2/tav2_sky
{
	qer_editorimage env/ut4_abridged2/miramar_ft.tga
	skyparms env/ut4_abridged2/miramar 1024 -

	q3map_sunEXT 0.9 0.9 0.9 500 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 200 3	
	q3map_globaltexture
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== My Logo ===---

textures/ut4_abridged2/tav2_lhlogo
{
	qer_editorimage textures/ut4_abridged2/lh_logo256.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
//	q3map_surfacelight 100

	{
		map textures/ut4_abridged2/lh_logo256.tga
		blendFunc blend
	}
}

textures/ut4_abridged2/tav2_lhlogo2
{
	qer_editorimage textures/ut4_abridged2/lh_logo.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 100

	{
		map textures/ut4_abridged2/lh_logo.tga
		blendFunc blend
	}
}

// ---=== FSK Signs ===---

textures/ut4_abridged2/tav2_hologo_b
{
	qer_editorimage textures/ut4_abridged2/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_abridged2/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_abridged2/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_abridged2/tav2_hologo_r
{
	qer_editorimage textures/ut4_abridged2/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_abridged2/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_abridged2/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Ladderclip ===---

textures/ut4_abridged2/tav2_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== NoDamage Textures ===---

textures/ut4_abridged2/mrtx_oldbrk_05:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_floor002:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_floor002b:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_floor002r:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_floor064:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_floor064bb:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_floor064rr:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_floor065:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_floor065b:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_floor065r:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/pr_marble19:q3map
{
	surfaceparm nodamage
}

textures/ut4_abridged2/soc_mat5b:q3map
{
	surfaceparm nodamage
}

// ---=== NonSolid ===---

// ---=== Glass ===---

textures/ut4_abridged2/tav2_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_abridged2/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_abridged2/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_abridged2/tav2_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/ut4_abridged2/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_abridged2/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_abridged2/tav2_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	cull none

	{
		map textures/ut4_abridged2/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_abridged2/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_abridged2/e6basicstrip_blue
{
	qer_editorimage textures/ut4_abridged2/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged2/e6basicstrip_blue.tga
	}
}

textures/ut4_abridged2/e6basicstrip_green
{
	qer_editorimage textures/ut4_abridged2/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged2/e6basicstrip_green.tga
	}
}

textures/ut4_abridged2/e6basicstrip_orange
{
	qer_editorimage textures/ut4_abridged2/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged2/e6basicstrip_orange.tga
	}
}

textures/ut4_abridged2/e6basicstrip_purple
{
	qer_editorimage textures/ut4_abridged2/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged2/e6basicstrip_purple.tga
	}
}

textures/ut4_abridged2/e6basicstrip_red
{
	qer_editorimage textures/ut4_abridged2/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged2/e6basicstrip_red.tga
	}
}

textures/ut4_abridged2/e6basicstrip_white
{
	qer_editorimage textures/ut4_abridged2/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged2/e6basicstrip_white.tga
	}
}

textures/ut4_abridged2/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_abridged2/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_abridged2/e6basicstrip_yellow.tga
	}
}

textures/ut4_abridged2/tav2_e5_crete_blue
{
	qer_editorimage textures/ut4_abridged2/e5_crete_blue.tga
//	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nodamage

	{
		map textures/ut4_abridged2/e5_crete_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_abridged2/e5_crete_blue_blend.tga
		blendfunc add
	}
}

textures/ut4_abridged2/tav2_e5_crete_red
{
	qer_editorimage textures/ut4_abridged2/e5_crete_red.tga
//	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nodamage

	{
		map textures/ut4_abridged2/e5_crete_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_abridged2/e5_crete_red_blend.tga
		blendfunc add
	}
}

textures/ut4_abridged2/tav2_gothbara
{
	qer_editorimage textures/ut4_abridged2/lh_gothbar_amb.jpg
	q3map_lightimage textures/ut4_abridged2/lh_gothbar_blenda.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_abridged2/lh_gothbar_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_abridged2/lh_gothbar_blenda.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_abridged2/tav2_gothbarb
{
	qer_editorimage textures/ut4_abridged2/lh_gothbar_blu.jpg
	q3map_lightimage textures/ut4_abridged2/lh_gothbar_blendb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_abridged2/lh_gothbar_blu.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_abridged2/lh_gothbar_blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_abridged2/tav2_gothbarr
{
	qer_editorimage textures/ut4_abridged2/lh_gothbar_red.jpg
	q3map_lightimage textures/ut4_abridged2/lh_gothbar_blendr.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_abridged2/lh_gothbar_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_abridged2/lh_gothbar_blendr.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_abridged2/tav2_mrtx_trim5_blue
{
	qer_editorimage textures/ut4_abridged2/mrtx_steelrst_trim5_blue.tga
//	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nodamage

	{
		map textures/ut4_abridged2/mrtx_steelrst_trim5_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_abridged2/mrtx_steelrst_trim5_blue_blend.tga
		blendfunc add
	}
}

textures/ut4_abridged2/tav2_mrtx_trim5_red
{
	qer_editorimage textures/ut4_abridged2/mrtx_steelrst_trim5_red.tga
//	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nodamage

	{
		map textures/ut4_abridged2/mrtx_steelrst_trim5_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_abridged2/mrtx_steelrst_trim5_red_blend.tga
		blendfunc add
	}
}

// ---=== teleorbs ===---

textures/ut4_abridged2/tav2_teleorbb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_abridged2/soc_blue_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_abridged2/soc_blue_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_abridged2/tav2_teleorbr
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_abridged2/soc_red_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_abridged2/soc_red_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== lava ===---

textures/ut4_abridged2/tav2_lava1k
	{
		qer_editorimage textures/ut4_abridged2/lava1.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 1000
		cull disable
	
		tesssize 128
		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.7
	
	{
		map textures/ut4_abridged2/lava1.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/ut4_abridged2/tav2_lavab1k
	{
		qer_editorimage textures/ut4_abridged2/lava1b.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 1000
		cull disable
	
		tesssize 128
		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.7
	
	{
		map textures/ut4_abridged2/lava1b.tga
		tcMod turb 0 .2 0 .1
	}
}
